##############################################################################
# $Id: xdtv-mandriva.spec.in,v 1.3 2006/01/27 17:29:04 pingus77 Exp $
##############################################################################

%define _unpackaged_files_terminate_build 0

%define name 			xdtv
%define Name 			XdTV
%define version 		2.3.0
%define release 		1mdk
%define summary1		%{Name} is a software to record & watch TV.
%define summary2		Developpement files for %{Name}.
%define summary3		Font used by %{Name} OSD function.
%define  tvtuner_launcher	%{_sysconfdir}/dynamic/launchers/tvtuner
%define with_optimization 	0
%define with_debug 		0
%define with_xinerama 		1
%define with_ogg 		1
%define with_xvid 		1
%define with_ffmpeg 		1
%define with_divx 		1
%define with_lame 		1
%define with_dvb 		1
%define with_zvbi 		1
%define with_lirc 		1
%define with_alsa 		1
%define with_png 		1
%define with_jpeg 		1

#without
%{?_without_optimization: 	%{expand: %%global with_optimization 0}}
%{?_without_debug: 		%{expand: %%global with_debug 0}}
%{?_without_xinerama: 		%{expand: %%global with_xinerama 0}}
%{?_without_ogg: 		%{expand: %%global with_ogg 0}}
%{?_without_xvid: 		%{expand: %%global with_xvid 0}}
%{?_without_ffmpeg: 		%{expand: %%global with_ffmpeg 0}}
%{?_without_divx: 		%{expand: %%global with_divx 0}}
%{?_without_lame: 		%{expand: %%global with_lame 0}}
%{?_without_dvb: 		%{expand: %%global with_dvb 0}}
%{?_without_zvbi: 		%{expand: %%global with_zvbi 0}}
%{?_without_lirc: 		%{expand: %%global with_lirc 0}}
%{?_without_alsa: 		%{expand: %%global with_alsa 0}}
%{?_without_png: 		%{expand: %%global with_png 0}}
%{?_without_jpeg: 		%{expand: %%global with_jpeg 0}}

#with
%{?_with_optimization: 		%{expand: %%global with_optimization 1}}
%{?_with_debug: 		%{expand: %%global with_debug 1}}
%{?_with_xinerama: 		%{expand: %%global with_xinerama 1}}
%{?_with_ogg: 			%{expand: %%global with_ogg 1}}
%{?_with_xvid: 			%{expand: %%global with_xvid 1}}
%{?_with_ffmpeg: 		%{expand: %%global with_ffmpeg 1}}
%{?_with_divx: 			%{expand: %%global with_divx 1}}
%{?_with_lame: 			%{expand: %%global with_lame 1}}
%{?_with_dvb: 			%{expand: %%global with_dvb 1}}
%{?_with_zvbi: 			%{expand: %%global with_zvbi 1}}
%{?_with_lirc: 			%{expand: %%global with_lirc 1}}
%{?_with_alsa: 			%{expand: %%global with_alsa 1}}
%{?_with_png: 			%{expand: %%global with_png 1}}
%{?_with_jpeg: 			%{expand: %%global with_jpeg 1}}

Name: 				%{name}
Summary: 			%{summary1}
Version: 			%{version}
Release: 			%{release}
License: 			GPL
Distribution: 			Mandriva
Packager: 			Pingus <pingus_77@yahoo.fr>
URL:				http://xawdecode.sourceforge.net/
Source0:			%{name}-%{version}.tar.gz
Group: 				Video

Requires:			libxorg-x11
Requires:			libxpm4
%if %with_divx
Requires:			libdivx4linux0 = 20020418
%endif
%if %with_ffmpeg
Requires:			libffmpeg
%endif
%if %with_lame
Requires:			liblame0
%endif
%if %with_lirc
Requires:			liblirc0
%endif
%if %with_jpeg
Requires:			libjpeg62
%endif
%if %with_png
Requires:			libpng3
%endif
%if %with_xvid
Requires:			libxvid4
%endif
Requires:			xterm
Requires:			libneXtaw0
%if %with_zvbi
Requires:			libzvbi0
%endif
%if %with_ogg
Requires:			libtheora0 >= 1.0-0.alpha5
Requires:			libvorbis0 >= 1.1.1
Requires:			libvorbisenc2 >= 1.1.1
Requires:			libogg0 >= 1.1.2
%endif
%if %with_alsa
Requires:			libalsa2
%endif

BuildRequires:			libxpm4-devel
BuildRequires:			autoconf2.5
%if %with_divx
BuildRequires:			libdivx4linux0-devel = 20020418
%endif
%if %with_ffmpeg
BuildRequires:			libffmpeg-devel
%endif
%if %with_lame
BuildRequires:			liblame0-devel
BuildRequires:			lame
%endif
%if %with_lirc
BuildRequires:			liblirc0-devel
%endif
%if %with_png
BuildRequires:			libjpeg62-devel
%endif
%if %with_jpeg
BuildRequires:			libpng3-devel
%endif
%if %with_xvid
BuildRequires:			libxvid4-devel
%endif
BuildRequires:			libneXtaw0-devel
%if %with_zvbi
BuildRequires:			libzvbi0-devel
%endif
%if %with_ogg
BuildRequires:			libtheora0-devel >= 1.0-0.alpha5
BuildRequires:			libvorbis0-devel >= 1.1.1
BuildRequires:			libogg0-devel >= 1.1.2
%endif
%if %with_alsa
BuildRequires:			libalsa2-devel
%endif

BuildRoot: 			%{_tmppath}/%{name}-%{version}-buildroot

%description
%{Name} is a software that allows you to to record & watch TV.
It interacts with AleVT for Teletext and Nxtvepg for NextView,
and uses the video4linux API. It can use some deinterlacing filters
and can record video files in various containers (AVI, MPEG, OGG, etc.) 
with many codecs (FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis and DivX4/5).
It has also some plugin capabilities.

%package devel
Summary:			%{summary2}
Group:				Development/C
Requires:			%{name} = %{version}
Requires:			libxpm4-devel

%description devel
Developpement files for %{name} 

%package OSD-font
Summary:			%{summary3}
Group:				Video
Requires:			%{name} = %{version}

%description OSD-font
Font used by %{Name} OSD function.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -a 0

%build
./configure --prefix=%{_prefix} \
%if %with_optimization
	--enable-cpu-detection \
%else
	--disable-cpu-detection \
%endif
%if %with_debug
	--disable-nodebug \
%else
	--enable-nodebug \
%endif
%if %with_xinerama
	--enable-xinerama \
%else
	--disable-xinerama \
%endif
%if %with_ogg
	--enable-ogg \
%else
	--disable-ogg \
%endif
%if %with_divx
	--enable-divx4linux \
%else
	--disable-divx4linux \
%endif
%if %with_xvid
	--enable-xvid \
%else
	--disable-xvid \
%endif
%if %with_ffmpeg
	--enable-ffmpeg \
%else
	--disable-ffmpeg \
%endif
%if %with_lame
	--enable-lame \
%else
	--disable-lame \
%endif
%if %with_zvbi
	--enable-zvbi \
%else
	--disable-zvbi \
%endif
%if %with_lirc
	--enable-lirc \
%else
	--disable-lirc \
%endif
%if %with_dvb
	--enable-dvb \
%else
	--disable-dvb \
%endif
%if %with_alsa
	--enable-alsa \
%else
	--disable-alsa \
%endif
%if %with_jpeg
	--enable-jpeg \
%else
	--disable-jpeg \
%endif
%if %with_png
	--enable-png \
%else
	--disable-png \
%endif

make prefix=%{_prefix}

%install
make ROOT="$RPM_BUILD_ROOT" prefix="$RPM_BUILD_ROOT"%{_prefix} install
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_v4l-conf
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_wizard
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_cmd
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_scantv
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_alevt-cap
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_alevt-capall
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_alevt-date

# Dynamic desktop support
mkdir -p $RPM_BUILD_ROOT%{tvtuner_launcher}
cat > $RPM_BUILD_ROOT%{tvtuner_launcher}/%{name}.desktop << EOF

[Desktop Entry]
Name=%{Name} \$basename
Comment=%{Name} is a software to record & watch TV.
TryExec=%{_bindir}/%{name}
Exec=%{_bindir}/%{name}
Terminal=false
Icon=%{name}.png
Type=Application
EOF

# Cure man path if needed
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}.1 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}_cmd.1 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}_alevt-cap.1 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}_alevt-date.1 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}_alevt.1 %{buildroot}%{_mandir}/man1/
bzip2 %{buildroot}%{_mandir}/man1/%{name}.1
bzip2 %{buildroot}%{_mandir}/man1/%{name}_cmd.1
bzip2 %{buildroot}%{_mandir}/man1/%{name}_alevt.1
bzip2 %{buildroot}%{_mandir}/man1/%{name}_alevt-cap.1
bzip2 %{buildroot}%{_mandir}/man1/%{name}_alevt-date.1

# menu
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	icon="%{name}.png" \
	needs="x11" \
	section="Multimedia/Video" \
	title="%{Name}" \
	longtitle="%{summary1}"
EOF

install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}_wizard
?package(%{name}): \
	command="%{_bindir}/%{name}_wizard" \
	icon="%{name}.png" \
	needs="x11" \
	section="Multimedia/Video" \
	title="%{Name} Wizard" \
	longtitle="%{summary1}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
/sbin/modprobe -r bttv
%{_sbindir}/update-alternatives --install %{tvtuner_launcher}/kde.desktop tvtuner.kde.dynamic %{tvtuner_launcher}/%{name}.desktop 100
%{_sbindir}/update-alternatives --install %{tvtuner_launcher}/gnome.desktop tvtuner.gnome.dynamic %{tvtuner_launcher}/%{name}.desktop 100
/sbin/modprobe bttv

%post OSD-font
cd %{_prefix}/X11R6/lib/X11/fonts/misc
test -x %{_prefix}/X11R6/bin/mkfontdir && mkfontdir || true
if [ -f /var/lock/subsys/xfs ]; then
	service xfs restart || true
fi
test -n "$DISPLAY" && xset fp rehash || true

%postun
%{clean_menus}
if [ $1 = 0 ]; then
  /sbin/modprobe -r bttv
  %{_sbindir}/update-alternatives --remove tvtuner.kde.dynamic %{tvtuner_launcher}/%{name}.desktop
  %{_sbindir}/update-alternatives --remove tvtuner.gnome.dynamic %{tvtuner_launcher}/%{name}.desktop
  /sbin/modprobe bttv
fi

%postun OSD-font
if [ $1 = 0 ]; then
  cd %{_prefix}/X11R6/lib/X11/fonts/misc
  test -x %{_prefix}/X11R6/bin/mkfontdir && mkfontdir || true
	if [ -f /var/lock/subsys/xfs ]; then
		service xfs restart || true
	fi
  test -n "$DISPLAY" && xset fp rehash || true
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL FAQfr-xdtv TODO
%doc README README.dvb README.record README.bs README.ffmpeg README.streaming
%doc README.bsd README.gentoo README.xvid README.buildme README.lirc
%doc README.deinterlace README.plugins ChangeLog lisez-moi xdtvrc.sample
%doc lircrc.miro.sample lircrc.hauppauge.sample lircrc.animax.sample
%doc lircrc.WinfastTV2000.sample
%config(noreplace) %{tvtuner_launcher}/%{name}.desktop
%{_sysconfdir}/X11/app-defaults/%{Name}
%{_sysconfdir}/xdtv/%{name}_wizard-en.conf
%{_sysconfdir}/xdtv/%{name}_wizard-en-UTF8.conf
%{_bindir}/%{name}
%{_bindir}/%{name}_cmd
%{_bindir}/%{name}_wizard
%{_bindir}/%{name}_scantv
%{_bindir}/%{name}_alevt-cap
%{_bindir}/%{name}_alevt-capall
%{_bindir}/%{name}_alevt-date
%{_bindir}/%{name}_v4l-conf
%{_bindir}/%{name}_scan.sh
%{_bindir}/%{name}_record.sh
%{_bindir}/%{name}_makedvd.sh
%{_mandir}/man1/*
%{_menudir}/%{name}
%{_menudir}/%{name}_wizard
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files devel
%defattr(-,root,root)
%{_includedir}/*

%files OSD-font
%defattr(-,root,root)
%{_prefix}/X11R6/lib/X11/fonts/misc/*.pcf

%changelog
* Thu Dec 22 2005 Sir Pingus <pingus_77@yahoo.fr> 2.3.0-1mdk
- 2.3.0
- Add ogg/theora/vorbis dependances
- The compilation is only possible with divx4linux = 20020418
- review all the spec: now -with / without can be use with rpmbuild

* Tue Mar 29 2005 Sir Pingus <pingus_77@yahoo.fr> 2.1.1-1mdk
- 2.1.1

* Sun Jan 16 2005 Sir Pingus <pingus_77@yahoo.fr> 2.1.0-1mdk
- 2.1.0

* Sat Jun 19 2004 Sir Pingus <pingus_77@yahoo.fr> 1.9.2-1mdk
- 1.9.2

* Tue Apr 14 2004 Sir Pingus <pingus_77@yahoo.fr> 1.9.1-1mdk
- 1.9.1
- xvid 1.0 RC4 needed
- add a lot of files (README.bsd alevt files....)

* Sun Feb 08 2004 Pingus <pingus77@ifrance.com> 1.9.0-2mdk
- 1.9.0
- add README.http, xawdecode_http.sh files
- no package alsa-utils needed any more
- modif with alsa required
- package zvbi needed
- package lame needed
- package xvid renamed by plf: so we follow that: libxvid2 needed
- add -disable-nodebug option

* Fri Nov 28 2003 Pingus <pingus77@ifrance.com> 1.8.2-1mdk
- 1.8.2
- add lircrc.WinfastTV2000.sample file.
- alsa support always used. now noalsa is proposed to compile with no alsa support.

* Sat Oct 18 2003 Pingus <pingus77@ifrance.com> 1.8.1-3mdk
- fix a problem with xosd dependences

* Sat Oct 18 2003 Pingus <pingus77@ifrance.com> 1.8.1-2mdk
- 1.8.1 : new packages for xawdecode generated.
- fix a problem with ffmpeg dependances and other repositories

* Sat Oct 04 2003 Pingus <pingus77@ifrance.com> 1.8.1-1mdk
- 1.8.1

* Sun Sep 12 2003 Pingus <pingus77@ifrance.com> 1.8.0-1mdk
- 1.8.0
- build with alsa by default
- add toggle for xosd
- small update on BuildRequires and Requires

* Sun Jul 27 2003 Pingus <pingus77@ifrance.com> 1.7.5beta-1mdk
- "Summer Release" 1.7.5beta

* Mon Jul 7 2003 Pingus <pingus77@ifrance.com> 1.7.0-1mdk
- ver 1.7.0
- plenty of modifications for this spec file

* Fri May 2 2003 Pingus <pingus77@ifrance.com> 1.6.8-1mdk
- ver 1.6.8
- plenty of modifications for this spec file

* Fri Jan 25 2003 Pingus <pingus77@ifrance.com>
- ver 1.6.7
- OSD-font sample package
- enable-nextaw

* Tue Jan 02 2003 Pingus <pingus77@ifrance.com>
- ver 1.6.6a with v4l-conf sample package
- big big errors in menu and icons

* Fri Nov 18 2002 Pingus <pingus77@ifrance.com>
- ver 1.6.6a special sourceforge release

* Mon Nov 13 2002 Pingus <pingus77@ifrance.com>
- ver 1.6.6

* Tue Oct 26 2002 Pingus <pingus77@ifrance.com>
- add lirc support
- add menus entry
- made spec file more mdk compatible (define, mandir)

* Wed Oct 18 2002 Pingus <pingus77@ifrance.com>
- ver 1.6.5
- Adaptation for Mandrake 9.0 based on Laurent Culioli <laurent@pschit.net> spec file
- include last patches from keuleu
